Name:           shortrpm
Version:        1.3
Release:        7%{?dist}
Summary:        Short-circuit binary RPM package build

Group:          Development/Tools
License:        GPLv2+
URL:            http://v3.sk/~lkundrak/shortrpm
Source0:        http://v3.sk/~lkundrak/shortrpm/shortrpm-%{version}.tar.gz

Requires:       rpm-build

%description
shortrpm tricks rpmbuild(1) into thinking certain scriptlets in SPEC file
are empty, effectively skipping their run and proceeding to build the binary
package from files from previous %%install scriptlet run in BuildRoot. The
trickery only takes place if both -bb and --short-circuit options are
specified.


%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="%{optflags}" PREFIX="%{_prefix}"


%install
make install DESTDIR=%{buildroot} PREFIX="%{_prefix}"
install -d %{buildroot}%{_sysconfdir}/profile.d
install -pm 0644 shortrpm.sh shortrpm.csh \
        %{buildroot}%{_sysconfdir}/profile.d


%check
make test


%files
%{_bindir}/shortrpm
%{_libexecdir}/shortrpm
%{_mandir}/man1/shortrpm.1*
%config(noreplace) %{_sysconfdir}/profile.d/*
%doc COPYING


%changelog
* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 1.3-7
- Bulk sad and useless attempt at consistent SPEC file formatting

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Apr 29 2010 Lubomir Rintel <lkundrak@v3.sk> - 1.3-1
- Make it work on rawhide again (#549072)

* Tue Aug 04 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.2-3
- Fix rpmbuild --clean (#532713)

* Tue Aug 04 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.2-1
- New upstream release
- Fix operation with more recent rpm config

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 29 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.1-1
- New upstream release
- Fix mis-compilation with newer glibc

* Mon Apr 27 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.0-1
- Initial packaging
